glibmm: Gio::DBus::NodeInfo Class Reference

glibmm 2.38.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::DBus::NodeInfo Class Reference
D-Bus API

NodeInfo - Stores information about nodes in a remote object hierarchy. More...

`#include <giomm/dbusintrospection.h>`

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GDBusNodeInfo* | gobj ()
| Provides access to the underlying C instance. More...
const GDBusNodeInfo* | gobj () const
| Provides access to the underlying C instance. More...
GDBusNodeInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< InterfaceInfo > | lookup_interface (const Glib::ustring& name)
| Looks up information about an interface. More...
Glib::RefPtr< const InterfaceInfo > | lookup_interface (const Glib::ustring& name) const
| Looks up information about an interface. More...
Glib::RefPtr< InterfaceInfo > | lookup_interface ()
| Looks up information about the first interface. More...
Glib::RefPtr< const InterfaceInfo > | lookup_interface () const
| Looks up information about the first interface. More...

## Static Public Member Functions
static Glib::RefPtr< NodeInfo > | create_for_xml (const Glib::ustring& xml_data)
| Parses xml_data and returns a DBusNodeInfo representing the data. More...

## Protected Member Functions
| NodeInfo ()
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::DBus::NodeInfo > | wrap (GDBusNodeInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

NodeInfo - Stores information about nodes in a remote object hierarchy.

Since glibmm 2.28:

## Constructor & Destructor Documentation

Gio::DBus::NodeInfo::NodeInfo | ( |  | ) |
| protected

## Member Function Documentation

static Glib::RefPtr<NodeInfo> Gio::DBus::NodeInfo::create_for_xml | ( | const Glib::ustring& | xml_data | ) |
| static

Parses xml_data and returns a DBusNodeInfo representing the data.

The introspection XML must contain exactly one top-level <tag class="starttag">node</tag> element.

Note that this routine is using a GMarkup-based parser that only accepts a subset of valid XML documents.

Since glibmm 2.26:

Parameters

  xml_data | Valid D-Bus introspection XML.

Returns
  A DBusNodeInfo structure or `0` if error is set. Free with g_dbus_node_info_unref().

Exceptions

  Glib::Error. |

GDBusNodeInfo* Gio::DBus::NodeInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GDBusNodeInfo* Gio::DBus::NodeInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GDBusNodeInfo* Gio::DBus::NodeInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::RefPtr<InterfaceInfo> Gio::DBus::NodeInfo::lookup_interface | ( | const Glib::ustring& | name | ) |

Looks up information about an interface.

The cost of this function is O(n) in number of interfaces.

Since glibmm 2.26:

Parameters

  name | A D-Bus interface name.

Returns
  A DBusInterfaceInfo or `0` if not found. Do not free, it is owned by info.

Glib::RefPtr<const InterfaceInfo> Gio::DBus::NodeInfo::lookup_interface | ( | const Glib::ustring& | name | ) | const

Looks up information about an interface.

The cost of this function is O(n) in number of interfaces.

Since glibmm 2.26:

Parameters

  name | A D-Bus interface name.

Returns
  A DBusInterfaceInfo or `0` if not found. Do not free, it is owned by info.

Glib::RefPtr<InterfaceInfo> Gio::DBus::NodeInfo::lookup_interface | ( |  | ) |

Looks up information about the first interface.

Glib::RefPtr<const InterfaceInfo> Gio::DBus::NodeInfo::lookup_interface | ( |  | ) | const

Looks up information about the first interface.

void Gio::DBus::NodeInfo::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

void Gio::DBus::NodeInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::DBus::NodeInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBus::NodeInfo > wrap | ( | GDBusNodeInfo * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.